lonlat2utm {oce} | R Documentation

## Convert from longitude and latitude to UTM

### Description

Convert from longitude and latitude to UTM coordinates

### Usage

    lonlat2utm(longitude, latitude, zone, km=FALSE)

### Arguments

`longitude` | decimal longitude. May also be a list containing items named `longitude` and `latitude`, in which case the indicated values are used, and next argument is ignored.
`latitude` | decimal latitude (ignored if `longitude` is a list containing both coordinates)
`zone` | optional indication of UTM zone. Normally this is inferred from the longitude, but specifying it can be helpful in dealing with Landsat images, which may cross zones and which therefore are described by a single zone.
`km` | logical value indicating whether `easting` and `northing` are in kilometers or meters.

### Value

A list containing `easting`, `northing`, `zone` and `hemisphere`.

### Author(s)

Dan Kelley

### References

http://en.wikipedia.org/wiki/Universal_Transverse_Mercator_coordinate_system, downloaded May 31, 2014.

### See Also

`utm2lonlat` does the inverse operation. For general projections and their inverses, use `lonlat2map` and `map2lonlat`.

### Examples

    library(oce)
    ## Cape Split, in the Minas Basin of the Bay of Fundy
    lonlat2utm(-64.496567, 45.334626)

[Package oce version 0.9-18 Index]